:root{ /*variables*/
--animationspeed : 1;/*kinda dead code*/
--animationextremity:1;

/*cursor:url('cursor.gif'), auto;*/

}

body {
    font-family: sans-serif;
    font-size: large;
    color: navy;
    background-color: black;
   cursor:url('cursor.gif'), auto;
}

cyethexlogo {


    font-family: sans-serif;
    font-size: xx-large;
    font-weight: 1000;
    align-items:center;
    
    
    background-image: linear-gradient(to top, hotpink 20%,  #00F0FF 50%, blue 70% );
    -webkit-background-clip: text;
    background-clip: text;
    color:transparent;

    display:flex;
    justify-content: center;
    align-items: center; 
    

   
}

.a {
 
    animation: floaty calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay: 0s;
    
    
}
.b {

    animation: floaty calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay:calc(0.2s*1/var(--animationspeed));
}
.c {
  
    animation: floaty calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay: calc(0.4s*1/var(--animationspeed));
}
.d {
 
    animation: floaty calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay: calc(0.6s*1/var(--animationspeed));
}
.e {
  
    animation: floaty calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay: calc(0.8s*1/var(--animationspeed));
}
/*
@property --animationextremity{
    syntax:"<number>";
    inherits: true;
    initial-value:1;
}
*/
@keyframes floaty {
  0%   { transform: translateY(-5px) scale(1.2, 0.8); animation-timing-function: linear; }
  25%  { transform: translateY(0px)  scale(0.8, 1.2); animation-timing-function: ease-in-out; }
  50%  { transform: translateY(5px)  scale(1.2, 0.8); animation-timing-function: linear; }
  75%  { transform: translateY(0px)  scale(0.8, 1.2); animation-timing-function: ease-in-out; }
  100% { transform: translateY(-5px) scale(1.2, 0.8); animation-timing-function: linear; }
}

@keyframes spincw {
  0%   { transform: rotate(0turn); animation-timing-function: linear; }
  100% { transform: rotate(1turn); animation-timing-function: linear; }
}

@keyframes spinccw {
  0%   { transform: rotate( 0turn); animation-timing-function: linear; }
  100% { transform: rotate( -1turn); animation-timing-function: linear; }
}

.settingsbtn{
    color:blue;
    background-color: transparent;
    border:none;
    font-size: 120%;
}
.settings{
    position: relative;
    display:inline-block;
}

.settings-content{
    display: none;
    position: absolute;
    background-color: white;
    min-width: 200px;
/* box-shadow 
hmm what*/
    z-index:1;
}
.settings-content a{
    color: grey;
    padding:5px 5px;
    text-decoration: underline;
    display:block;
}
.settings:hover .settings-content {display:block;}


.slider{
    /*-webkit-appearance: none;*/
   
    width: 80%;
    height: 8px;
    background: blue;
    outline:none;
    opacity: 0.5;

    -webkit-transition: .2s;
    transition: opacity .2s;
}


.slider:hover{
    opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 32px;
  height: 32px;
  background: url('slider.png');
  cursor: pointer;
   border-color: transparent;
}
.slider::-moz-range-thumb {
  width: 32px;
  height: 32px;
  background: url('slider.png');
  cursor: pointer;

  border-color: transparent;
}

.panel{

    
    
    
}
.panel p {
 font-size: medium;
 /*
 text-decoration-line: underline;
    text-decoration-style: wavy;
    */
}

.panel hr{
    color:blue;
    
}
.panel h1 {
    justify-content: center;
    align-items: center; 
    display:flex;
   
   
text-shadow:2px 2px 2px black, 2px 2px 2px black;
    font-weight: 100;
    font-size: 150%;
}

.glitters{
    z-index: -100;
    height: 8px;
    width: 8px;
    background-color: blue;
    border-radius: 50%;
    position: absolute;
    animation: blink calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    display: inline-block;
   
}

@keyframes blink {
  0%   { filter:brightness(0%)}
  50% {filter:brightness(100%)}
  100%   { filter:brightness(0%)}
}



.ccwspin{
    animation: spinccw calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay: 0s;
    transform-origin: 50% 56%;
}
.cwspin{
    animation: spincw calc(1s*var(--animationspeed)) forwards;
    animation-iteration-count: infinite;
    animation-delay: 0s;
    transform-origin: 50% 56%;
}
.tab{
    
   
    margin-left:auto;
    margin-right: auto;
    

    
    padding: 0%;
    
    display:vertical;
    justify-content: center;
    align-items: center;
    width:fit-content;

    background-color: rgb(0, 0, 49);
    
    border-radius:5%/20%;
    border-style:outset;
    border-width: 2px;
    border-color: blue;
border-top-left-radius: 0;
    color:blue;
    font-family:monospace;
   /* padding: 4%;
    
    display:vertical;
    justify-content: center;
    align-items: center;
    width:fit-content;

    background-color: rgb(0, 0, 49);
    
    border-radius:5%/20%;
    border-style:outset;
    border-width: 2px;
    border-color: blue;

    color:blue;
    font-family:monospace;*/
    
}
.tab button{
    position:relative;
   
    background-color: inherit;
    color: inherit;
    font: inherit;
   top:-22px;

left:-2px;
    border-radius: 10px;
    border-color: blue;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;

  border-bottom: 0;

  
}

.tab button.active {
  background-color: #000;
}
.tabcontent{
    display:none;
    padding: 6px 40px;
  

  
}
